Subject: Re: bug#56008: 29.0.50; image-mode buffer scrolled down automatically

From: Visuwesh <[email-masked]>
Date: Thu, 16 Jun 2022 18:49:49 +0530

[வியாழன் ஜூன் 16, 2022 14:19] Lars Ingebrigtsen wrote:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Hm...  anybody got any ideas how to debug this?  Something is apparently
>> resetting the window-start in the wrong window?  Or...  something else?
>
> Hm!  If I say `M-:' afterwards, the window position in the Image buffer
> window flips back to where it was supposed to be.

Oh, I knew that but that totally slipped my mind.  Sorry about that.

>  So this seems like it's a redisplay bug and not a programming error
> somewhere (I was wondering if some shr code was setting window-start
> in the wrong window or something like that).

Yes, it is not specific to shr/eww.  That's what I alluded to by saying,

    This does not happen only with eww but in other scenarios as well.  But
    I am unable to reproduce this behaviour in those scenarios as they are a
    lot more involved.